Get a specific service
curl --request GET \
--url https://app.usequeue.com/api/v1/services/{service_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequeue.com/api/v1/services/{service_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequeue.com/api/v1/services/{service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"service": {
"id": "af604afd112e974728b41a463652c77c",
"title": "Service title example",
"description": "Service description example",
"active": true,
"default_price": "$1,000 per month",
"created_at": "2023-11-07T05:31:56Z",
"preview_image": "https://example.com/preview-image.jpg",
"addon": false,
"disable_pause": false,
"disable_quantity": false,
"cancel_at_period_end": false,
"position": 3,
"coupon_id": "coupon_id",
"minimum_months": 100,
"require_payment_method": false,
"limit_pausing": false,
"checkout_link": "https://app.usequeue.com/services/af604afd112e974728b41a463652c77c/checkouts",
"service_prices": [
{
"id": "8cf453ebcb70f64d4c1960efe100cf90",
"price": "$1 per 1 month",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"currency": "usd"
}
]
}
}Services
Get Service
GET
/
services
/
{service_id}
Get a specific service
⌘I

